Your submission was sent successfully! Close

You have successfully unsubscribed! Close

Thank you for signing up for our newsletter!
In these regular emails you will find the latest updates about Ubuntu and upcoming events where you can meet our team.Close

CVE-2018-13406

Published: 6 July 2018

An integer overflow in the uvesafb_setcmap function in drivers/video/fbdev/uvesafb.c in the Linux kernel before 4.17.4 could result in local attackers being able to crash the kernel or potentially elevate privileges because kmalloc_array is not used.

From the Ubuntu Security Team

Silvio Cesare discovered that the generic VESA frame buffer driver in the Linux kernel contained an integer overflow. A local attacker could use this to cause a denial of service (system crash) or possibly execute arbitrary code.

Priority

Medium

Cvss 3 Severity Score

7.8

Score breakdown

Status

Package Release Status
linux-aws
Launchpad, Ubuntu, Debian
artful Does not exist

bionic
Released (4.15.0-1020.20)
cosmic Not vulnerable
(4.15.0-1020.20)
trusty
Released (4.4.0-1028.31)
upstream
Released (4.18~rc1)
xenial
Released (4.4.0-1066.76)
linux-azure
Launchpad, Ubuntu, Debian
artful Does not exist

bionic
Released (4.15.0-1022.23)
cosmic Not vulnerable
(4.18.0-1003.3)
trusty Not vulnerable
(4.15.0-1023.24~14.04.1)
upstream
Released (4.18~rc1)
xenial
Released (4.15.0-1022.22~16.04.1)
linux-euclid
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

trusty Does not exist

xenial Ignored
(was needed ESM criteria)
upstream
Released (4.18~rc1)
linux-oem
Launchpad, Ubuntu, Debian
artful Does not exist

bionic
Released (4.15.0-1017.20)
cosmic Not vulnerable
(4.15.0-1017.20)
trusty Does not exist

upstream
Released (4.18~rc1)
xenial Ignored
(end of standard support, was needed)
linux
Launchpad, Ubuntu, Debian
artful Ignored
(end of life)
bionic
Released (4.15.0-33.36)
cosmic Not vulnerable
(4.17.0-6.7)
trusty
Released (3.13.0-157.207)
upstream
Released (4.18~rc1)
xenial
Released (4.4.0-134.160)
Patches:
Introduced by

8bdb3a2d7df48b861972c4bfb58490853a228f51

Fixed by 9f645bcc566a1e9f921bdae7528a01ced5bc3713
linux-azure-edge
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Not vulnerable
(4.18.0-1003.3~18.04.1)
cosmic Does not exist

trusty Does not exist

upstream
Released (4.18~rc1)
xenial
Released (4.15.0-1022.23)
linux-flo
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
upstream
Released (4.18~rc1)
xenial Ignored
(abandoned)
linux-gcp
Launchpad, Ubuntu, Debian
artful Does not exist

bionic
Released (4.15.0-1018.19)
cosmic Not vulnerable
(4.15.0-1018.19)
trusty Does not exist

upstream
Released (4.18~rc1)
xenial
Released (4.15.0-1018.19~16.04.2)
linux-gke
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

trusty Does not exist

upstream
Released (4.18~rc1)
xenial Ignored
(end of standard support)
linux-goldfish
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
upstream
Released (4.18~rc1)
xenial Ignored
(end of life)
linux-grouper
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
upstream
Released (4.18~rc1)
xenial Does not exist

linux-hwe
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Not vulnerable

cosmic Does not exist

trusty Does not exist

upstream
Released (4.18~rc1)
xenial
Released (4.15.0-33.36~16.04.1)
linux-hwe-edge
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Not vulnerable
(4.18.0-11.12~18.04.1)
cosmic Does not exist

trusty Does not exist

upstream
Released (4.18~rc1)
xenial
Released (4.15.0-33.36~16.04.1)
linux-kvm
Launchpad, Ubuntu, Debian
artful Does not exist

bionic
Released (4.15.0-1020.20)
cosmic Not vulnerable
(4.15.0-1020.20)
trusty Does not exist

upstream
Released (4.18~rc1)
xenial
Released (4.4.0-1032.38)
linux-lts-trusty
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

trusty Does not exist

upstream
Released (4.18~rc1)
xenial Does not exist

linux-lts-utopic
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

trusty Does not exist
(trusty was ignored [end of standard support])
upstream
Released (4.18~rc1)
xenial Does not exist

linux-lts-vivid
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

trusty Does not exist
(trusty was ignored [end of standard support])
upstream
Released (4.18~rc1)
xenial Does not exist

linux-lts-wily
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

trusty Does not exist
(trusty was ignored [end of standard support])
upstream
Released (4.18~rc1)
xenial Does not exist

linux-lts-xenial
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

trusty
Released (4.4.0-134.160~14.04.1)
upstream
Released (4.18~rc1)
xenial Does not exist

linux-maguro
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
upstream
Released (4.18~rc1)
xenial Does not exist

linux-mako
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
upstream
Released (4.18~rc1)
xenial Ignored
(abandoned)
linux-manta
Launchpad, Ubuntu, Debian
artful Does not exist

bionic Does not exist

cosmic Does not exist

trusty Does not exist
(trusty was ignored [abandoned])
upstream
Released (4.18~rc1)
xenial Does not exist

linux-raspi2
Launchpad, Ubuntu, Debian
artful Ignored
(end of life)
bionic
Released (4.15.0-1021.23)
cosmic Not vulnerable
(4.15.0-1021.23)
trusty Does not exist

upstream
Released (4.18~rc1)
xenial
Released (4.4.0-1095.103)
linux-snapdragon
Launchpad, Ubuntu, Debian
artful Ignored
(end of life)
bionic Not vulnerable

cosmic Does not exist

trusty Does not exist

upstream
Released (4.18~rc1)
xenial
Released (4.4.0-1099.104)

Severity score breakdown

Parameter Value
Base score 7.8
Attack vector Local
Attack complexity Low
Privileges required Low
User interaction None
Scope Unchanged
Confidentiality High
Integrity impact High
Availability impact High
Vector CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H